package cd.casic.ci.common.pipeline.pojo;

import cd.casic.ci.common.pipeline.enums.BuildFormPropertyType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：BuildParameters
 * @Date：2025/03/25 16:05
 * @Filename：BuildParameters
 * @description：Todo
 */
@Data
@AllArgsConstructor
@Schema(title = "构建模型-构建参数")
public class BuildParameters {
    @Schema(title = "元素值ID-标识符", required = true)
    private String key;
    @Schema(title = "元素值名称-显示用", required = true)
    private Object value;
    @Schema(title = "元素值类型", required = false)
    private BuildFormPropertyType valueType;
    @Schema(title = "是否只读", required = false)
    private boolean readOnly;
    @Schema(title = "描述", required = false)
    private String desc;
    @Schema(title = "默认值", required = false)
    private Object defaultValue;

    public BuildParameters(String key, Object value, BuildFormPropertyType valueType, String desc, Object defaultValue) {
        this.key = key;
        this.value = value;
        this.valueType = valueType;
        this.desc = desc;
        this.defaultValue = defaultValue;
    }

    public BuildParameters(String key, String value) {
        this.key = key;
        this.value = value;
    }
}
