package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import cd.casic.ci.common.pipeline.pojo.element.ElementAdditionalOptions;
import cd.casic.ci.common.pipeline.pojo.ErrorType;
import lombok.AllArgsConstructor;
import lombok.Data;
import java.time.LocalDateTime;
import java.util.Map;

/**
 * @author by mianbin
 * @Classname PipelineBuildTask
 * @Description TODO
 * @Date 2025/3/31 16:59
 */
@Data
@AllArgsConstructor
public class PipelineBuildTask {
    private final String projectId;
    private final String pipelineId;
    private final String templateId;
    private final String buildId;
    private final String stageId;
    private final String containerId;
    private final String containerHashId;
    private final String containerType;
    private final int taskSeq;
    private final String taskId;
    private final String taskName;
    private final String taskType;
    private final String taskAtom;
    private BuildStatus status;
    private Map<String, Object> taskParams;
    private final ElementAdditionalOptions additionalOptions;
    private Integer executeCount;
    private String starter;
    private final String approver;
    private String subProjectId;
    private String subBuildId;
    private LocalDateTime startTime;
    private LocalDateTime endTime;
    private ErrorType errorType;
    private Integer errorCode;
    private String errorMsg;
    private final String atomCode;
    private final String stepId;
    private Long totalTime;
    private final String jobId;

    public String getTaskParam(String paramName) {
        if (taskParams.get(paramName) != null) {
            return taskParams.get(paramName).toString().trim();
        }
        return "";
    }
}
