package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.pojo.time.BuildRecordTimeCost;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildStageStatus
 * @Date：2025/03/24 15:09
 * @Filename：BuildStageStatus
 * @description：Todo
 */
@Data
@Schema(title = "历史构建阶段状态")
@AllArgsConstructor
public class BuildStageStatus {
    @Schema(title = "阶段ID", required = true)
    private String stageId;
    @Schema(title = "阶段名称", required = true)
    private String name;
    @Schema(title = "阶段状态", required = false, readOnly = true)
    private String status;
    @Schema(title = "阶段标签", required = false, readOnly = true)
    private List<String> tag;
    @Schema(title = "阶段启动时间", required = false, readOnly = true)
    private Long startEpoch;
    @Schema(title = "容器运行时间", required = false, readOnly = true)
    private Long elapsed;
    @Schema(title = "各项耗时", required = true)
    private BuildRecordTimeCost timeCost;
    @Schema(title = "前端", required = false, readOnly = true)
    private String showMsg;
}
