package cd.casic.ci.project.controller;


import cd.casic.ci.project.dal.pojo.ProjectCreateInfo;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.ci.project.service.UserProjectResourceService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.*;



@RestController
@Tag(name = "用户-项目列表接口")
@RequestMapping("/project")
public class UserProjectResourceController {

    @Resource
    private UserProjectResourceService userProjectResourceService;

    @PostMapping
    @Operation(summary = "创建项目")
    public CommonResult<Boolean> create(@RequestBody ProjectCreateInfo projectCreateInfo,
                                        @RequestHeader(name = "X-DEVOPS-ACCESS-TOKEN") String accessToken) {
        return CommonResult.success(userProjectResourceService.create(getUserId(), projectCreateInfo, accessToken));
    }


    private Long getUserId() {
//        Long userId = SecurityFrameworkUtils.getLoginUserId();
//        if (userId == null) {
//            throw new ServiceException("请登录!");
//        }
//        return userId;
        return 0L;
    }

}
