package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.StoreProjectInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.*;

@Tag(name = "OP_STORE_PROJECT", description = "OP-组件-项目")
@RestController
@RequestMapping("/op/store/project")
public interface OpStoreProjectResource {

    @Operation(summary = "更新组件关联初始化项目信息")
    @PutMapping("/relevancy/update")
    CommonResult<Boolean> updateStoreInitProject(
            @Parameter(description = "用户ID", required = true, example = AUTH_HEADER_USER_ID_DEFAULT_VALUE)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "组件关联初始化项目信息", required = true)
            StoreProjectInfo storeProjectInfo
    );
}