package cd.casic.pipeline.store.api.container;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.app.BuildEnv;
import cd.casic.pipeline.store.pojo.app.ContainerAppWithVersion;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "SERVICE_CONTAINER_APP", description = "服务-容器-app")
@RestController
@RequestMapping("/service/containers")
public interface ServiceContainerAppResource {

    @Operation(summary = "获取container对应的所有APP")
    @GetMapping("/apps")
    CommonResult<List<ContainerAppWithVersion>> listApp(
            @Parameter(description = "系统", required = true)
            @RequestParam("os")
            String os
    );

    @Operation(summary = "获取container对应的APP")
    @GetMapping("/getApps")
    CommonResult<List<BuildEnv>> getApp(
            @Parameter(description = "系统", required = true)
            @RequestParam("os")
            String os
    );

    @Operation(summary = "构建机环境变量")
    @GetMapping("/getBuildEnv")
    CommonResult<BuildEnv> getBuildEnv(
            @Parameter(description = "环境变量名称", required = true)
            @RequestParam("name")
            String name,
            @Parameter(description = "环境变量版本", required = true)
            @RequestParam("version")
            String version,
            @Parameter(description = "操作系统名称", required = true)
            @RequestParam("os")
            String os
    );
}