package cd.casic.pipeline.store.pojo.common.env;


import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import lombok.Data;

@Data
@Schema(title = "store组件安装包运行时环境信息请求报文体")
public class StorePkgRunEnvRequest {
    @Schema(title = "store组件类型", required = true)
    private String storeType;

    @Schema(title = "开发语言", required = true)
    private String language;

    @Schema(title = "支持的操作系统名称", required = true)
    @Max(value = 100, message = "支持的操作系统名称不能超过100个字符")
    private String osName;

    @Schema(title = "支持的操作系统架构", required = true)
    @Max(value = 100, message = "支持的操作系统架构不能超过100个字符")
    private String osArch;

    @Schema(title = "运行时版本", required = true)
    @Max(value = 100, message = "运行时版本不能超过100个字符")
    private String runtimeVersion;

    @Schema(title = "安装包名称", required = true)
    @Max(value = 100, message = "运行时版本不能超过100个字符")
    private String pkgName;

    @Schema(title = "安装包下载路径", required = true)
    @Max(value = 1000)
    private String pkgDownloadPath;

    @Schema(title = "是否为默认安装包", required = true)
    private Boolean defaultFlag;
}