package cd.casic.pipeline.store.pojo.common.version;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

@Data
@Schema(title = "工作台组件版本列表")
public class StoreDeskVersionItem {
    @Schema(title = "组件ID", required = true)
    private String storeId;
    
    @Schema(title = "组件标识", required = true)
    private String storeCode;
    
    @Schema(title = "组件类型", required = true)
    private String storeType;
    
    @Schema(title = "组件名称", required = true)
    private String name;
    
    @Schema(title = "版本号", required = true)
    private String version;
    
    @Schema(title = "版本内容", required = false)
    private String versionContent;
    
    @Schema(title = "状态", required = true)
    private String status;
    
    @Schema(title = "创建人", required = true)
    private String creator;
    
    @Schema(title = "创建时间", required = true)
    private String createTime;
    
    @Schema(title = "扩展字段集合", required = false)
    private Map<String, Object> extData;
}