package cd.casic.ci.ticket.dal.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname Cert
 * @Description
 * @Date 2025/3/22 10:40
 */
@Data
@Schema(description = "证书-证书详细内容")
public class Cert {
    @Schema(description = "证书ID", required = true)
    @NotNull
    private final String certId;
    @Schema(description = "证书类型", required = true)
    @NotNull
    private final String certType;
    @Schema(description = "创建者", required = true)
    @NotNull
    private final String creator;
    @Schema(description = "证书描述", required = true)
    @NotNull
    private final String certRemark;
    @Schema(description = "创建时间", required = true)
    private final long createTime;
    @Schema(description = "过期时间", required = true)
    private final long expireTime;
    @Schema(description = "凭据ID", required = true)
    @NotNull
    private final String credentialId;
}
