package cd.casic.ci.ticket.dal.pojo;

import cd.casic.ci.ticket.dal.enums.CredentialType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Schema(description = "凭据-凭据内容")
@AllArgsConstructor
@NoArgsConstructor
public class CredentialInfo {

    @Schema(description = "Base64编码的加密公钥", requiredMode = Schema.RequiredMode.REQUIRED)
    private String publicKey;

    @Schema(description = "凭据类型", requiredMode = Schema.RequiredMode.REQUIRED)
    private CredentialType credentialType;

    @Schema(description = "加密后经过Base64编码的凭据", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v1;

    @Schema(description = "加密后经过Base64编码的凭据", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v2;

    @Schema(description = "加密后经过Base64编码的凭据", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v3;

    @Schema(description = "加密后经过Base64编码的凭据", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v4;

    @Schema(description = "当前凭据是否允许跨项目使用", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private Boolean allowAcrossProject;
}
