package cd.casic.ci.ticket.service;


import cd.casic.framework.commons.util.encrypt.AESUtil;
import cd.casic.framework.commons.util.encrypt.DHUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.nio.charset.StandardCharsets;
import java.util.Base64;


@Component
public class CredentialHelper {

    private final String aesKey = "MB/R%3{?OS}IeGT21";

    public String decryptCredential(String aesCredential) {
        if (StringUtils.isEmpty(aesCredential) || StringUtils.isBlank(aesCredential)) {
            return null;
        }
        return AESUtil.decrypt(aesKey, aesCredential);
    }

    public String encryptCredential(String aesEncryptCredential, byte[] publicKeyByteArray, byte[] serverPrivateKeyByteArray) {
        if (StringUtils.isEmpty(aesEncryptCredential) || StringUtils.isBlank(aesEncryptCredential)) {
            return null;
        }
        try {
            String credential = AESUtil.decrypt(aesKey, aesEncryptCredential);
            byte[] credentialEncryptedContent = DHUtil.encrypt(credential.getBytes(StandardCharsets.UTF_8), publicKeyByteArray, serverPrivateKeyByteArray);
            return new String(Base64.getEncoder().encode(credentialEncryptedContent));
        } catch (Throwable ignored) {
            throw ignored;
        }
    }
}
